import React from 'react'
import { Sheet, SheetContent, SheetDescription, SheetHeader, SheetTitle, SheetTrigger, } from "@/components/ui/sheet"
import { HiOutlineBars2 } from "react-icons/hi2";
import Image from 'next/image';
import Link from 'next/link';
import Hero from './Hero';


const Header = () => {
    const text = "Donut worry about things";
    const Letter = text.split("");


  return (
    <div className='w-full h-screen bg-[#FDE2DE]'>
        <div className='flex flex-row justify-between md:flex-col gap-14 items-center py-5  md:py-10 px-5 md:px-8 lg:px-10'>
            <div className='flex justify-center relative'>
                <div className='mt-5 md:mt3 flex flex-col items-center'>
                <Image src='/logo.png' width={120} height={120} alt='' className='w-[70px] md:w-[100px]'/>
                </div>
                <div className='circle absolute mt-10'>
                {Letter.map((item, index) => {
                    return (
                    <span key={index} className="letter inline-block absolute -top-[50px] md:-top-[70px] text-xs text-[#95743D]" style={{transform: `rotate(${index * 14.5}deg)`}}>{item}</span>
                    );
                })}
                </div>
            </div>
            <div className='hidden md:flex uppercase text-xs text-[#95743D] font-semibold tracking-wide border border-[#E78895] rounded-full'>
                <Link href='' className='relative hover:text-[#FDE2DE] py-2 px-4 hover:bg-[#E78895] rounded-full duration-300'>Home</Link>
                <Link href='' className='relative hover:text-[#FDE2DE] py-2 px-4 hover:bg-[#E78895] rounded-full duration-300'>Menu</Link>
                <Link href='' className='relative hover:text-[#FDE2DE] py-2 px-4 hover:bg-[#E78895] rounded-full duration-300'>About</Link>
                <Link href='' className='relative hover:text-[#FDE2DE] py-2 px-4 hover:bg-[#E78895] rounded-full duration-300'>Contact</Link>
                <Link href='' className='relative hover:text-[#FDE2DE] py-2 px-4 hover:bg-[#E78895] rounded-full duration-300'>Login</Link>
            </div>
            <div className='block md:hidden'>
                <Sheet>
                <SheetTrigger>
                    <HiOutlineBars2 className='text-3xl text-[#95743D]'/>
                </SheetTrigger>
                <SheetContent side="top">
                    <SheetHeader>
                    <SheetTitle>Are you absolutely sure?</SheetTitle>
                    <SheetDescription>
                        This action cannot be undone. This will permanently delete your account
                        and remove your data from our servers.
                    </SheetDescription>
                    </SheetHeader>
                </SheetContent>
                </Sheet>
            </div>
        </div>
        <Hero/>
    </div>
  )
}

export default Header