"use client"
import Image from 'next/image'
import React from 'react'
import { TypeAnimation } from 'react-type-animation';
import { GiDonut } from "react-icons/gi";
import { MdOutlineNewReleases, MdCheckCircleOutline } from "react-icons/md";

const Hero = () => {
  return (
    <>
    <div className='w-full h-[70%] grid grid-cols-3 px-5'>
      <div className='pl-5 xl:pl-8 2xl:pl-20'>
        <p className='mt-10 text-6xl xl:text-7xl text-[#FFFAB7] uppercase font-semibold xl:tracking-wider drop-shadow-[0_2px_2px_rgba(240,180,15,5)]'>Donuts over eveything!</p>
        <p className='mt-10 pr-10 xl:pr-0 text-[#E78895] text-base font-semibold drop-shadow-[0_1px_1px_rgba(245,150,175,1)]'>Homemade donuts with an incredible variety of topping (without artificial additives, colors, and flavors)</p>
        <button className='mt-10 px-6 py-3 bg-[#E1F7F5] text-[#FFB1B1] font-semibold rounded-full uppercase shadow-lg'>Order</button>
      </div>
      <div className='flex justify-center items-center'>
        <Image src='/home_donut.png' width={500} height={500} alt='home-donut' className='donut-move'/>
        <TypeAnimation wrapper="span" speed={50} repeat={Infinity} className='w-[500px] absolute inline-block text-7xl xl:text-8xl text-center text-white font-bold drop-shadow-[0_4px_4px_rgba(0,0,0,8)]'sequence={[
          'Donuts go nuts!',
          1000,
          'Donuts love you',
          1000,
          'Donuts panic!',
          1000
        ]}/>
      </div>
      <div className='flex flex-col gap-10 justify-center items-center px-5'>
        <div className='w-[320px] flex flex-col gap-2'>
          <div className='flex flex-row gap-4 items-center'>
            <p className='flex justify-center items-center w-10 h-10 rounded-full bg-[#F0F3FF]'><GiDonut className='text-2xl text-[#95743D]'/></p>
            <p className='font-semibold text-[#95743D]'>Freshly Baked Donuts</p>
          </div>
          <p className='text-[#CBAF87] text-sm'>Our donuts are baked fresh every day using high quality ingredients without artificial ingredients</p>
        </div>
        <div className='w-[320px] flex flex-col gap-2'>
          <div className='flex flex-row gap-4 items-center'>
            <p className='flex justify-center items-center w-10 h-10 rounded-full bg-[#F0F3FF]'><MdOutlineNewReleases className='text-2xl text-[#95743D]'/></p>
            <p className='font-semibold text-[#95743D]'>Variety of Flavors</p>
          </div>
          <p className='text-[#CBAF87] text-sm'>At Puffy Dough, we offer a wide range of flavors including classic glazed as well as unique flavors like matcha pistachio</p>
        </div>
        <div className='w-[320px] flex flex-col gap-2'>
          <div className='flex flex-row gap-4 items-center'>
            <p className='flex justify-center items-center w-10 h-10 rounded-full bg-[#F0F3FF]'><MdCheckCircleOutline className='text-2xl text-[#95743D]'/></p>
            <p className='font-semibold text-[#95743D]'>Customized Options</p>
          </div>
          <p className='text-[#CBAF87] text-sm'>customers can pick their own toppings and fillings to create a personalized donut experience</p>
        </div>
      </div>
    </div>
    </>
  )
}

export default Hero